Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.view.vis
Class GraphicsView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.view.ModelScapeView
              org.eclipse.amp.escape.ascape.view.EditPartFactoryScapeView
                  org.eclipse.amp.escape.ascape.view.EditPartScapeView
                      org.ascape.view.vis.GraphicsView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.ascape.model.event.ScapeListener, org.ascape.util.HasName, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPartFactory, org.eclipse.jface.viewers.ISelectionProvider

Direct Known Subclasses:
  org.ascape.view.vis.AgentView

    public class GraphicsView

extends EditPartScapeView
implements org.eclipse.jface.viewers.ISelectionProvider

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`scape`

Constructor Summary
`GraphicsView(java.lang.String name)`

Method Summary
`void` | `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`org.eclipse.gef.EditPart` | `createEditPart(org.eclipse.gef.EditPart context, java.lang.Object model)`
`void` | `createFeatures()`
`void` | `createImage()`
`void` | `createImageFigure()`
`org.ascape.model.Agent` | `getAgentAtPixel(int x, int y)`
`org.eclipse.swt.graphics.Image` | `getImage()`
`org.eclipse.draw2d.IFigure` | `getImageFigure()`
`org.eclipse.draw2d.geometry.Dimension` | `getMinimumSizeWithin(org.eclipse.draw2d.geometry.Dimension d)`
`org.eclipse.draw2d.geometry.Dimension` | `getPreferredSizeWithin(org.eclipse.draw2d.geometry.Dimension d)`
`org.eclipse.jface.viewers.ISelection` | `getSelection()`
`org.eclipse.draw2d.geometry.Dimension` | `getSize()`
`void` | `refresh()`
`void` | `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` | `scapeAdded(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeIterated(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `setSelection(org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class org.eclipse.amp.escape.ascape.view.EditPartScapeView
`createInput`

Methods inherited from class org.eclipse.amp.escape.ascape.view.EditPartFactoryScapeView
`getAdapter, getRootPart`

Methods inherited from class org.eclipse.amp.escape.ascape.view.ModelScapeView
`getModel, getName, toString`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicsView

    public GraphicsView(java.lang.String name)

Method Detail

### createEditPart

    public org.eclipse.gef.EditPart createEditPart(org.eclipse.gef.EditPart context,
                                                   java.lang.Object model)

  Specified by:
    `createEditPart` in interface `org.eclipse.gef.EditPartFactory`

### createImageFigure

    public void createImageFigure()

### getAgentAtPixel

    public org.ascape.model.Agent getAgentAtPixel(int x,
                                                  int y)

### createImage

    public void createImage()

### refresh

    public void refresh()

### scapeAdded

    public void scapeAdded(org.ascape.model.event.ScapeEvent scapeEvent)
                    throws java.util.TooManyListenersException

  Specified by:
    `scapeAdded` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeAdded` in class `ModelScapeView`
  Throws:
    `java.util.TooManyListenersException`

### scapeIterated

    public void scapeIterated(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeIterated` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeIterated` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeIterated(org.ascape.model.event.ScapeEvent)`

### createFeatures

    public void createFeatures()

### getSize

    public org.eclipse.draw2d.geometry.Dimension getSize()

### getPreferredSizeWithin

    public org.eclipse.draw2d.geometry.Dimension getPreferredSizeWithin(org.eclipse.draw2d.geometry.Dimension d)

### getMinimumSizeWithin

    public org.eclipse.draw2d.geometry.Dimension getMinimumSizeWithin(org.eclipse.draw2d.geometry.Dimension d)

### getImage

    public org.eclipse.swt.graphics.Image getImage()

### getImageFigure

    public org.eclipse.draw2d.IFigure getImageFigure()

  Returns:
    the imageFigure

### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Parameters:
    `listener` -
  See Also:
    `ISelectionProvider.addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Returns:
  See Also:
    `ISelectionProvider.getSelection()`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Parameters:
    `listener` -
  See Also:
    `ISelectionProvider.removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener)`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Parameters:
    `selection` -
  See Also:
    `ISelectionProvider.setSelection(org.eclipse.jface.viewers.ISelection)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD